// This is the definition of the oracle in the fake numerology test
// Hussein Suleman, 2003-03-16, 2004-03-15

//import Person;

public class Oracle
{
   // convert date parts to a single unique number
   private short getAbsoluteDate ( Person personX )
   {
      return (short) ((personX.getDay()) + 
                      (personX.getMonth() * 31) +
                      ((personX.getYear() % 5) * 365));
   }

   // calculate compatibility as an integer percentage
   public byte getCompatibility ( Person personA, Person personB )
   {
      double compatibility = getAbsoluteDate(personA) - getAbsoluteDate(personB);
      compatibility = Math.pow (compatibility, 2.0);
      compatibility = (3352561 - compatibility) / 3352561;
      compatibility *= 100;
      return (byte)compatibility;
   }
}
